#3490 closed task (fixed)

Remove CONFIGURE_HAS_OWN_CONFIGURATION_TABLE

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: config Version: 5
Severity: normal Keywords:
Cc: Blocked By: #3489, #3735
Blocking:

Description

This configuration option was obsoleted in RTEMS 5.1.

Change History (5)

comment:1 Changed on Aug 8, 2018 at 1:42:38 PM by Joel Sherrill

I think I proposed removing option on the devel@ list a while back. Normally I prefer to deprecate for one cycle as this ticket proposes but I don't see how anyone could be using this. The rate of change to the internal configuration with addition of SMP has been intense. There have been no questions indicating someone is trying to trail the CONFIGURE_xxx interface on their own.

It isn't a huge feature, but I really don't think it is used. If there is consensus, I wouldn't be opposed to killing it now. But now a huge deal.

comment:2 Changed on Sep 6, 2018 at 5:14:46 AM by Sebastian Huber

Milestone: 6.15.1
Version: 65

comment:3 Changed on Sep 19, 2018 at 8:52:44 AM by Sebastian Huber <sebastian.huber@…>

In 68f339b6/rtems:

Remove CONFIGURE_HAS_OWN_CONFIGURATION_TABLE

The RTEMS configuration should be done via explicit configuration
options to allow more freedom for implementation changes.

Update #3489.
Update #3490.

comment:4 Changed on Sep 19, 2018 at 8:53:20 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In cec2f2c/rtems-docs:

Remove CONFIGURE_HAS_OWN_CONFIGURATION_TABLE

Close #3489.
Close #3490.

comment:5 Changed on Apr 9, 2019 at 6:59:10 AM by Sebastian Huber

Blocked By: 3735 added
Note: See TracTickets for help on using tickets.